<?php

namespace App\Http\Requests;

use App\Http\Requests\Request;

class TableRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'project_name'=>'required',
            'num'=>'required|numeric',
            'bzc_name'=>'required',
            'bzc_tel'=>'required|numeric',
        ];
    }

    public function messages()
    {
        return [
            'project_name.required'=>'项目名称不能为空',
            'num.required'=>'编号不能为空',
            'num.numeric'=>'编号只能输入数字',
            'bzc_name.required'=>'被征收人姓名必填',
            'bzc_tel.required'=>'被征收人电话必填',
            'bzc_tel.numeric'=>'被征收人电话只能输入数字',
        ];
    }
}
